/*  ========================================================================
    This file is part of TS UniDC Firmware.
    ------------------------------------------------------------------------
    $Id: $
    $Version: $
    $Copyright:  2008  Hochschule Landshut $
    $Author: Anton Hadinger <Anton.Hadinger@fh-landshut.de> $
    ------------------------------------------------------------------------
    TS UniDC Firmware is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    TS UniDC Firmware is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with TS UniDC Firmware; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
    ========================================================================*/

#ifndef FIRMWARE_H
#define FIRMWARE_H

#include <C8051F020.h>

//----------------------------------------------------------------------
//  C8051F020-DC
//----------------------------------------------------------------------
#define SYSCLK 22118400

#ifdef __C51__
sfr16 TMR3 = 0x94;
sfr16 TMR3RL = 0x92;

#define __bit		bit
#define __data		data
#define __idata		idata
#define __xdata		xdata
#define __code		code
#endif	// __C51__


//----------------------------------------------------------------------
//	SMBUS0
//----------------------------------------------------------------------

//	EIE1
#ifndef ESMB0
#define ESMB0	0x02
#endif


//----------------------------------------------------------------------
//	TIMER3
//----------------------------------------------------------------------

//	TMR3CN
#ifndef TR3
#define TR3		0x04
#endif

#ifndef TF3
#define TF3		0x80
#endif


//----------------------------------------------------------------------
//	LCD
//----------------------------------------------------------------------

#define LCD_I2C_ID		0x74
#define LcdColumns		12
#define LcdRows			3
#define LcdOffset		0x20
#define LcdLine1		0x00
#define LcdLine2		0x20
#define LcdLine3		0x40

void lcd_reset (void);
void lcd_putch (unsigned char offs, char ch);
void lcd_text (unsigned char offs, const char* txt);


//----------------------------------------------------------------------
//	UTIL
//----------------------------------------------------------------------

void wait_1ms (unsigned char w);


#endif	// FIRMWARE_H
