/*  ========================================================================
    This file is part of TS UniDC Firmware.
    ------------------------------------------------------------------------
    $Id: $
    $Version: $
    $Copyright:  2008  Hochschule Landshut $
    $Author: Anton Hadinger <Anton.Hadinger@fh-landshut.de> $
    ------------------------------------------------------------------------
    TS UniDC Firmware is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    TS UniDC Firmware is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with TS UniDC Firmware; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
    ========================================================================*/

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif
#include "firmware.h"


void
wait_1ms (unsigned char w)
{
	// Timertakt ist SYSCLK/12
	TMR3RL = -1*SYSCLK/12/1000;			// 0x10000 - t[ms] * SYSCLK / 12 / 1e3
	TMR3 = -1*SYSCLK/12/1000;			// 0x10000 - t[ms] * SYSCLK / 12 / 1e3
										// ACHTUNG: t*SYSCLK muss < 2^32 sein!
	TMR3CN |= TR3;
	while (w)
	{
		while (! (TMR3CN & TF3));		// warte auf Timer
		TMR3CN &= ~TF3;
		w--;
	}
	TMR3CN &= ~TR3;
}

